<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="all">
    <class name="gov.va.med.cds.log4j.ApplicationLogEvent" table="PATHWAYS_APPLICATION_LOG" lazy="false">
        <id type="java.lang.Long">
            <column name="PATHWAYS_APPLICATION_LOG_ID"/>
            <generator class="sequence" >
				<param name="sequence">PATHWAYS_APPL_LOG_SEQ_ID</param>
			</generator>
        </id>
        
        <property name="domainName" column="DOMAIN_NAME"/>
        <property name="requestId" column="REQUEST_ID"/>
        <property name="localTime" column="LOCAL_TIME"/>
		<property name="severity" column="SEVERITY_VAL"/>
        <property name="appName" column="APP_NAME"/>
        <property name="message" column="MESSAGE"/>
        
	</class>

</hibernate-mapping>
